<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglCommunicationAggregateSysMessage.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_d89ec3ddd84898ed9313f7a84ea735df.html">communication</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglCommunicationAggregateSysMessage.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglCommunicationAggregateSysMessage_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLCOMMUNICATIONAGGREGATESYSMESSAGE_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLCOMMUNICATIONAGGREGATESYSMESSAGE_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * TIGLCommunicationAggregateSysMessage class</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> AlgData&gt;</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html">   54</a></span>&#160;<span class="keyword">class </span><a class="code" href="classTIGLCommunicationAggregateSysMessage.html">TIGLCommunicationAggregateSysMessage</a></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;{</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="comment">    * attributes</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#a65a7d5f706fdefa91afc25dc58d1af9a">   63</a></span>&#160;   AlgData <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a65a7d5f706fdefa91afc25dc58d1af9a">maxAgg</a>;</div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#a5a80f65a6621941348f815811f5a735a">   65</a></span>&#160;   AlgData <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a5a80f65a6621941348f815811f5a735a">minAgg</a>;</div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#ab7c3e287c58153505ec4d6f667d346a4">   67</a></span>&#160;   AlgData <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#ab7c3e287c58153505ec4d6f667d346a4">sumAgg</a>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="comment">    * public methods</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#aa27fa8ae77696b961b244328471fcd5e">   80</a></span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#aa27fa8ae77696b961b244328471fcd5e">setMax</a>(AlgData val)</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;   {</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;      <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a65a7d5f706fdefa91afc25dc58d1af9a">maxAgg</a> = val;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;   }</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#a01daf065f691f649fe43bad6cd37d10a">   90</a></span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a01daf065f691f649fe43bad6cd37d10a">setMin</a>(AlgData val)</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;   {</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;      <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a5a80f65a6621941348f815811f5a735a">minAgg</a> = val;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;   }</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#ae4f2508c081eb577bb63fc734ad6447f">  100</a></span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#ae4f2508c081eb577bb63fc734ad6447f">setSum</a>(AlgData val)</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;   {</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;      <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#ab7c3e287c58153505ec4d6f667d346a4">sumAgg</a> = val;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;   }</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#a1b722b1881d267326cf306f23efc55f5">  110</a></span>&#160;   <span class="keyword">inline</span> AlgData <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a1b722b1881d267326cf306f23efc55f5">getMax</a>()</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;   {</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;      <span class="keywordflow">return</span> <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a65a7d5f706fdefa91afc25dc58d1af9a">maxAgg</a>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;   }</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#adc25a777bb27c33fd6e4608a1843acd1">  120</a></span>&#160;   <span class="keyword">inline</span> AlgData <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#adc25a777bb27c33fd6e4608a1843acd1">getMin</a>()</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;   {</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;      <span class="keywordflow">return</span> <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a5a80f65a6621941348f815811f5a735a">minAgg</a>;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;   }</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;   <span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00130"></a><span class="lineno"><a class="line" href="classTIGLCommunicationAggregateSysMessage.html#a5668215562c36ee5af964c0c67a90513">  130</a></span>&#160;   <span class="keyword">inline</span> AlgData <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#a5668215562c36ee5af964c0c67a90513">getSum</a>()</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;   {</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;      <span class="keywordflow">return</span> <a class="code" href="classTIGLCommunicationAggregateSysMessage.html#ab7c3e287c58153505ec4d6f667d346a4">sumAgg</a>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;   }</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;};</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIGLCOMMUNICATIONAGGREGATESYSMESSAGE_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_ae4f2508c081eb577bb63fc734ad6447f"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#ae4f2508c081eb577bb63fc734ad6447f">TIGLCommunicationAggregateSysMessage::setSum</a></div><div class="ttdeci">void setSum(AlgData val)</div><div class="ttdoc">set the sum value field </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:100</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_adc25a777bb27c33fd6e4608a1843acd1"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#adc25a777bb27c33fd6e4608a1843acd1">TIGLCommunicationAggregateSysMessage::getMin</a></div><div class="ttdeci">AlgData getMin()</div><div class="ttdoc">get the min value field </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:120</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_a5668215562c36ee5af964c0c67a90513"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#a5668215562c36ee5af964c0c67a90513">TIGLCommunicationAggregateSysMessage::getSum</a></div><div class="ttdeci">AlgData getSum()</div><div class="ttdoc">get the sum value field </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:130</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_a5a80f65a6621941348f815811f5a735a"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#a5a80f65a6621941348f815811f5a735a">TIGLCommunicationAggregateSysMessage::minAgg</a></div><div class="ttdeci">AlgData minAgg</div><div class="ttdoc">minimum aggregate value </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:65</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html">TIGLCommunicationAggregateSysMessage</a></div><div class="ttdoc">Base class for aggregate information messages. </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:54</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_ab7c3e287c58153505ec4d6f667d346a4"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#ab7c3e287c58153505ec4d6f667d346a4">TIGLCommunicationAggregateSysMessage::sumAgg</a></div><div class="ttdeci">AlgData sumAgg</div><div class="ttdoc">sum of aggregate values </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:67</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_a01daf065f691f649fe43bad6cd37d10a"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#a01daf065f691f649fe43bad6cd37d10a">TIGLCommunicationAggregateSysMessage::setMin</a></div><div class="ttdeci">void setMin(AlgData val)</div><div class="ttdoc">set the minimum value of the algData </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:90</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_aa27fa8ae77696b961b244328471fcd5e"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#aa27fa8ae77696b961b244328471fcd5e">TIGLCommunicationAggregateSysMessage::setMax</a></div><div class="ttdeci">void setMax(AlgData val)</div><div class="ttdoc">set the maximum value </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:80</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_a1b722b1881d267326cf306f23efc55f5"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#a1b722b1881d267326cf306f23efc55f5">TIGLCommunicationAggregateSysMessage::getMax</a></div><div class="ttdeci">AlgData getMax()</div><div class="ttdoc">get the max value field </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:110</div></div>
<div class="ttc" id="classTIGLCommunicationAggregateSysMessage_html_a65a7d5f706fdefa91afc25dc58d1af9a"><div class="ttname"><a href="classTIGLCommunicationAggregateSysMessage.html#a65a7d5f706fdefa91afc25dc58d1af9a">TIGLCommunicationAggregateSysMessage::maxAgg</a></div><div class="ttdeci">AlgData maxAgg</div><div class="ttdoc">maximum aggregate value </div><div class="ttdef"><b>Definition:</b> tiglCommunicationAggregateSysMessage.hpp:63</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:51 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
